clang 10.0.0git

Macros | Variables
Builtins.cpp File Reference
`#include "clang/Basic/Builtins.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "clang/Basic/Builtins.def"`
Include dependency graph for Builtins.cpp:

Go to the source code of this file.

## Macros
#define | BUILTIN(ID, TYPE, ATTRS) { #ID, TYPE, ATTRS, nullptr, ALL_LANGUAGES, nullptr },
#define | LANGBUILTIN(ID, TYPE, ATTRS, LANGS) { #ID, TYPE, ATTRS, nullptr, LANGS, nullptr },
#define | LIBBUILTIN(ID, TYPE, ATTRS, HEADER, LANGS) { #ID, TYPE, ATTRS, HEADER, LANGS, nullptr },

## Variables
static const Builtin::Info | BuiltinInfo []

## Macro Definition Documentation

## ◆ BUILTIN

#define BUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS
| ) |  | { #ID, TYPE, ATTRS, nullptr, ALL_LANGUAGES, nullptr },

## ◆ LANGBUILTIN

#define LANGBUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS,
|  |  | LANGS
| ) |  | { #ID, TYPE, ATTRS, nullptr, LANGS, nullptr },

## ◆ LIBBUILTIN

#define LIBBUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS,
|  |  | HEADER,
|  |  | LANGS
| ) |  | { #ID, TYPE, ATTRS, HEADER, LANGS, nullptr },

## Variable Documentation

## ◆ BuiltinInfo

const Builtin::Info BuiltinInfo[]
| static

Initial value:
= {
{ "not a builtin function", nullptr, nullptr, nullptr, ALL_LANGUAGES,nullptr},
#define BUILTIN(ID, TYPE, ATTRS)
#define LANGBUILTIN(ID, TYPE, ATTRS, LANGS)
#define LIBBUILTIN(ID, TYPE, ATTRS, HEADER, LANGS)
}
clang::ALL_LANGUAGES
Definition: Builtins.h:39

Definition at line 20 of file Builtins.cpp.

Referenced by clang::CodeGen::CodeGenFunction::EmitTargetBuiltinExpr(), clang::Builtin::Context::getAuxBuiltinID(), clang::CodeGen::CGCallee::getBuiltinDecl(), clang::CodeGen::CGCallee::getBuiltinID(), and clang::Preprocessor::getBuiltinInfo().